package com.org.hktshop.service.user;

import com.aliyuncs.exceptions.ClientException;
import com.org.hktshop.entity.Page;
import com.org.hktshop.entity.user.HktMessage;
import com.org.hktshop.entity.user.HktUser;

import javax.mail.MessagingException;
import java.io.UnsupportedEncodingException;
import java.util.List;


public interface HktMessageService {

    void sendMessage(HktUser hktUser, String messageCategory) throws UnsupportedEncodingException, MessagingException, ClientException;

    void saveHktMessage(HktMessage hktMessage);

    void batchDeleteHktMessage(String id);

    void updateHktMessage(HktMessage hktMessage);

    HktMessage getHktMessage(String id);

    Page<HktMessage> hktMessagePageList(HktMessage hktMessage);

    List<HktMessage> getMessageList(String userId);

    void batchMessageIsRead(String ids);

    int getUnReadMsg(HktMessage hktMessage);
}
